Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.event.hierarchy
Class RootDockingPortInfo

    java.lang.Object
      org.flexdock.docking.event.hierarchy.RootDockingPortInfo

    public class RootDockingPortInfo

extends Object

Author:
  Christopher Butler

Constructor Summary
`RootDockingPortInfo(RootWindow window)`

Method Summary
`void` | `add(DockingPort port)`
`boolean` | `contains(DockingPort port)`
`boolean` | `contains(String portId)`
`DockingPort` | `getMainPort()`
`DockingPort` | `getPort(int indx)`
`DockingPort` | `getPort(String portId)`
`int` | `getPortCount()`
`RootWindow` | `getWindow()`
`void` | `remove(DockingPort port)`
`void` | `setMainPort(String portId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootDockingPortInfo

    public RootDockingPortInfo(RootWindow window)

Method Detail

### getWindow

    public RootWindow getWindow()

### contains

    public boolean contains(String portId)

### contains

    public boolean contains(DockingPort port)

### add

    public void add(DockingPort port)

### remove

    public void remove(DockingPort port)

### getPortCount

    public int getPortCount()

### getPort

    public DockingPort getPort(int indx)

### getPort

    public DockingPort getPort(String portId)

### setMainPort

    public void setMainPort(String portId)

### getMainPort

    public DockingPort getMainPort()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD